CMSIS-NN: arm_max_pool_s8.c File Reference

| CMSIS-NN Version 3.1.0 CMSIS NN Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Enumerations Enumerator Macros Groups Pages
Functions
arm_max_pool_s8.c File Reference

## Functions

static void | compare_and_replace_if_larger_q7 (q7_t *base, const q7_t *target, int32_t length)
static void | clamp_output (q7_t *source, int32_t length, const int32_t act_min, const int32_t act_max)
arm_status | arm_max_pool_s8 (const cmsis_nn_context *ctx, const cmsis_nn_pool_params *pool_params, const cmsis_nn_dims *input_dims, const q7_t *src, const cmsis_nn_dims *filter_dims, const cmsis_nn_dims *output_dims, q7_t *dst)
| s8 max pooling function. More...

## Function Documentation

static void clamp_output | ( | q7_t * | source,
|  | int32_t | length,
|  | const int32_t | act_min,
|  | const int32_t | act_max
| ) |  |

static

References arm_nn_read_q7x4(), arm_nn_write_q7x4_ia(), arm_nnword::bytes, MAX, MIN, and arm_nnword::word.

Referenced by arm_max_pool_s8().

static void compare_and_replace_if_larger_q7 | ( | q7_t * | base,
|  | const q7_t * | target,
|  | int32_t | length
| ) |  |

static

References arm_nn_read_q7x4(), arm_nn_read_q7x4_ia(), arm_nn_write_q7x4_ia(), arm_nnword::bytes, and arm_nnword::word.

Referenced by arm_max_pool_s8(), and arm_maxpool_q7_HWC().